# Apiary code documentation

The `apiary` code is structured in 5 main building blocks:

 * Central Service Store (CSS)
 * Service Environment Controller (SEC)
 * Physical or Virtual Operating Systems
 * System Controller (SC)
 * Service Runtime Environments (SRE) with the running Applications (or 'Drones')

Those blocks as talking to each other through IP connections.

![High Level Architecture](https://github.com/stolsma/apiary/raw/master/docs/resources/HighLevelArchitecture.jpg "High Level Architecture")  


## System Environment Architecture

![Detail System Architecture](https://github.com/stolsma/apiary/raw/master/docs/resources/DetailArchitecture.jpg "Detail System Architecture")  

### System Environment Design

![System Environment Design](https://github.com/stolsma/apiary/raw/master/docs/resources/SystemEnvironmentArchitecture.jpg "System Environment Design")  

### System Service Environment

The System Environment also has standard System Services running (SS) in the System Service Environment like a HTTP/HTTPS/WEBSOCKET proxy 

![Detail System Service Environment Design](https://github.com/stolsma/apiary/raw/master/docs/resources/DetailSSE.jpg "Detail System Service Environment Design")  


## Control Architecture

![High Level Control Architecture](https://github.com/stolsma/apiary/raw/master/docs/resources/ControllerArchitecture.jpg "High Level Control Architecture")  
